{% extends "base.html" %}
{% block page-style%}
<style>
</style>
{% endblock %}

{%block title%}
Wikilist - User
{%endblock%}

{%block content%}
<div class="ui container fluid">
    <form class="ui form {%if error%}error{%endif%} {%if success%}success{%endif%}" action="/users/{%if user.id%}{{user.id}}{%else%}new{%endif%}" method="POST">
        {% csrf-field %}
        <div class="required field {%if error.first_name%}error{%endif%}">
            <label>First Name</label>
            <input name="first_name" placeholder="First Name" type="text" value="{{user.first_name}}">
        </div>
        <div class="field {%if error.last_name%}error{%endif%}">
            <label>Last name</label>
            <input name="last_name" placeholder="last name" type="text" value="{{user.last_name}}">
        </div>
        <div class="required field {%if error.email%}error{%endif%}">
            <label>Email</label>
            <input name="email" placeholder="example@example.com" type="email" value="{{user.email}}">
        </div>

        <div class="field">
            <label>Password</label>
            <div class="two fields">
                <div class="{%if user.new%}required{%endif%} field {%if error.pass%}error{%endif%}">
                    <input name="pass" placeholder="Enter new password" type="password">
                </div>
                <div class="field {%if error.pass_confirm%}error{%endif%}">
                    <input name="pass_confirm" placeholder="Confirm password" type="password">
                </div>
            </div>
        </div>


        <div class="required field">
            <label>Role</label>
            <select name="role" class="ui dropdown {%if error.role%}error{%endif%}">
                {%for role in roles %}
                <option value="{{role.id}}" {%ifequal user.role role.id%}selected{%endifequal%}>{{role.id|capitalize}}</option>
                {%endfor%}
            </select>
        </div>

        {%if error%}
            <div class="ui error message">
                <div class="header">Errors occurred</div>
                <ul>
                {% for key,value in error %}
                    <li>{{value}}</li>
                {% endfor %}
                </ul>
            </div>
        {%endif%}

        {% if success %}
            <div class="ui success message">
                <div class="header">Success</div>
                <p>{{success}}</p>
            </div>
        {% endif %}
        <button class="ui button" type="submit">Submit</button>
    </form>
</div>
{%endblock content%}

{% block page-scripts %}
<script>
</script>
{% endblock %}
